#Publican Documentation Specfile
%define RHEL5 %(test %{?dist} == .el5 && echo 1 || echo 0)
%define HTMLVIEW %(test %{RHEL5} == 1 && echo 1 || echo 0)

%define ICONS 1

%define viewer xdg-open

%if %{HTMLVIEW}
%define viewer htmlview
%define vendor redhat-
%define vendoropt --vendor="redhat"
%endif

Name:         Red_Hat_Enterprise_Linux-Release_Notes-6-pa-IN
Version:      2
Release:      7%{?dist}

Summary:      Panjabi translation of Release_Notes
Summary(pa-IN):    Red Hat Enterprise Linux 6.2 ਲਈ ਜਾਰੀ ਸੂਚਨਾ


Group:         Documentation
License:       CC-BY-SA
URL:           http://docs.redhat.com
Source:        %{name}-%{version}-7.tgz
BuildArch:      noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: publican >= 2.0
BuildRequires: desktop-file-utils
BuildRequires:    publican-redhat

%if %{HTMLVIEW}
Requires:    htmlview
%else
Requires:    xdg-utils
%endif



%description
Panjabi translation of Release_Notes

%description -l pa-IN
Red Hat Enterprise Linux ਛੋਟੇ ਰੀਲੀਜ਼ ਵਿੱਚ ਨਿੱਜੀ ਸੋਧਾਂ, ਸਕਿਊਰਿਟੀ ਅਤੇ
ਬੱਗ ਫਿਕਸ ਇਰੱਟਾ ਦਿੱਤੇ ਗਏ ਹਨ। Red Hat Enterprise Linux 6.2 ਜਾਰੀ ਸੂਚਨਾ
ਵਿੱਚ ਮੁੱਖ ਤਬਦੀਲੀਆਂ ਦਿੱਤੀਆਂ ਹਨ ਜੋ Red Hat Enterprise Linux 6
ਓਪਰੇਟਿੰਗ ਸਿਸਟਮ ਵਿੱਚ ਕੀਤੀਆਂ ਗਈਆਂ ਹਨ ਅਤੇ ਇਹ ਇਸ ਛੋਟੇ ਰੀਲੀਜ ਲਈ ਇੱਕ
ਐਪਲੀਕੇਸ਼ਨ ਦਾ ਕੰਮ ਕਰਦਾ ਹੈ। ਇਸ ਛੋਟੇ ਰੀਲੀਜ਼ ਵਿਚਲੀਆਂ ਸਭ ਤਬਦੀਲੀਆਂ ਤਕਨੀਕੀ
ਜਾਣਕਾਰੀ ਵਿੱਚ ਉਪਲੱਬਧ ਹਨ।

%prep
%setup -q

%build
publican build --nocolours --formats="html-desktop" --langs=pa-IN

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/scalable/apps

%if %{ICONS}
for icon in `ls pa-IN/icons/*x*.png`; do
  size=`echo "$icon" | sed -e 's/.*icons\/\(.*\)\.png/\1/'`;
  mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/$size/apps
  cp $icon  $RPM_BUILD_ROOT/usr/share/icons/hicolor/$size/apps/Red_Hat_Enterprise_Linux-Release_Notes-6-pa-IN.png;
done
cp pa-IN/icons/icon.svg  $RPM_BUILD_ROOT/usr/share/icons/hicolor/scalable/apps/Red_Hat_Enterprise_Linux-Release_Notes-6-pa-IN.svg;
%else
cp pa-IN/images/icon.svg  $RPM_BUILD_ROOT/usr/share/icons/hicolor/scalable/apps/Red_Hat_Enterprise_Linux-Release_Notes-6-pa-IN.svg;
%endif

cat > %{name}.desktop <<'EOF'
[Desktop Entry]
Name=Red Hat Enterprise Linux 6: Release Notes
Comment=Red Hat Enterprise Linux 6.2 ਲਈ ਜਾਰੀ ਸੂਚਨਾ
Exec=%{viewer} %{_docdir}/%{name}-%{version}/index.html
Icon=Red_Hat_Enterprise_Linux-Release_Notes-6-pa-IN
Categories=Documentation;X-Red-Hat-Base;
Type=Application
Encoding=UTF-8
Terminal=false
EOF

%if %{HTMLVIEW}
desktop-file-install  %{?vendoropt} --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{name}.desktop
%else
desktop-file-install --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{name}.desktop
%endif

# Update Icon cache if it exists
%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc tmp/pa-IN/html-desktop/*
%if %{ICONS}
/usr/share/icons/hicolor/*
%else
/usr/share/icons/hicolor/scalable/apps/Red_Hat_Enterprise_Linux-Release_Notes-6-pa-IN.svg
%endif
%if %{HTMLVIEW}
%{_datadir}/applications/%{?vendor}%{name}.desktop
%else
%{_datadir}/applications/%{name}.desktop
%endif

%changelog
* Mon Dec  5 2011 Martin Prpič <mprpic@redhat.com> - 1-0
- Release of the Red Hat Enterprise Linux 6.2 Release Notes 



